#include <alsa/asoundlib.h>
#include <stdio.h>

int main(int argc, char *argv[])
{
	int last_res=-1;
	snd_rawmidi_t *m;
	snd_rawmidi_open(&m, NULL, argv[1], SND_RAWMIDI_NONBLOCK);
	while (1) {
		char buf[16];
		int res = snd_rawmidi_read(m, &buf, sizeof(buf));
		if (res != last_res || res > 0)
			printf("%d bytes read\n", res);
		last_res = res;
		sleep(1);//scanf("%d", &res);
	}
	snd_rawmidi_close(m);
	return 0;
}
